/* 
Theme Name: Hello Elementor Child
Theme URI: https://github.com/elementor/hello-theme-child/
Description: Hello Elementor Child is a child theme of Hello Elementor, created by Elementor team
Author: Elementor Team
Author URI: https://elementor.com/
Template: hello-elementor
Version: 2.0.0
Text Domain: hello-elementor-child
License: GNU General Public License v3 or later.
License URI: https://www.gnu.org/licenses/gpl-3.0.html
Tags: flexible-header, custom-colors, custom-menu, custom-logo, editor-style, featured-images, rtl-language-support, threaded-comments, translation-ready
*/

/* Add your custom styles here */

/* General */

header {
  position: fixed !important;
  top: 0;
  left: 0;
  width: 100% !important;
  z-index: 99999;
}


header.scrolled .headerSlider,
header.scrolled .headerMenu {
  display: none;
}

.page-content,
.blog,
.single-product,
.single,
main[data-elementor-type="single-page"] {
  padding-top: 156px;
}
.archive .clipHero {
  margin-top: 156px;
}
/* Inner Hero */

.clipHero {
    background-size: cover;
    background-position: center center !important;
    clip-path: polygon(0 0, 100% 0, 100% 100%, 0 68%);
}

.heroOverlay {
    opacity: 0.35 !important;
}
/* Product Variations */
.single-product .woocommerce div.product form.cart {
    display: flex !important;
    flex-direction: column;

}
.woocommerce div.product form.cart .variations {
    width: unset !important;
    margin: unset;
    margin-bottom: 30px;
    position: relative;
}

.woocommerce div.product form.cart .variations tbody {
    display: flex;
    justify-content: space-between;
    gap: 20px;
}


.woocommerce div.product form.cart .variations tr {
    display: flex;
    align-items: center;
    gap: 15px;
    position: relative;
        width: 100%;
}

.woocommerce div.product form.cart .variations .reset_variations {
    display: none !important;
}
.woocommerce div.product form.cart .variations th.label {
    background-color: white;
    line-height: unset;
    padding: unset;
    display: flex;
    align-items: center;
    justify-content: center;
}

.woocommerce p.stock {
    display: none;
}

.woocommerce div.product form.cart .variations td.value {
    background-color: white;
    line-height: unset;
    padding: unset;
    width: 100%;
}

.woocommerce div.product form.cart .variations select {
  margin-left: unset !important;
}

.single_variation_wrap {
    display: flex;
    gap: 15px;
    position: relative;
    align-items: center;
    justify-content: space-between;
}
.single_variation_wrap::before {
    content: 'מחיר סופי (ליחידה)';
    font-size: 18px;
    font-weight: 700;
    font-family: "Futurism", Sans-serif;
}

.single_variation_wrap::after {
    content: '';
    background-color: var(--e-global-color-2e1195f);
    height: 2px;
    width: 100%;
    position: absolute;
    bottom: -17px;
    right: 0;
}

.single_variation_wrap bdi {
      color: var(--e-global-color-text);
    font-size: 30px;
    font-family: 'Futurism';
}

.woocommerce div.product form.cart .variations th.label label {
    font-size: 20px;
}

.woocommerce div.product form.cart .variations::after {
    content: '';
    background-color: var(--e-global-color-2e1195f);
    height: 2px;
    width: 100%;
    position: absolute;
    bottom: -15px;
    right: 0;
}

.single-product .single_variation_wrap input.qty {
      width: 2.631em !important;
          padding: 5px 3px !important;

}

/* Button */

a.ctaWrapHover,
a.ctaWrapHover:hover p.elementor-heading-title,
a.ctaWrapHover:hover rect,
a.ctaWrapHover:hover path
{
  transition: all 0.4s ease-in !important;
}

a.ctaWrapHover:hover {
  background-color: var(--e-global-color-primary);
}

a.ctaWrapHover:hover p.elementor-heading-title {
  color: var(--e-global-color-260fa50);
}
a.ctaWrapHover:hover rect {
  fill: var(--e-global-color-260fa50);
}
a.ctaWrapHover:hover path {
  fill: var(--e-global-color-primary);
}

.productExtraDetails .elementor-icon-list-text a  {
  display: inline !important;
}

.productExtraDetails .elementor-icon-list-text a:hover {
    color: var(--e-global-color-260fa50);
}

.woocommerce div.product div.images .woocommerce-product-gallery__trigger {
  z-index: 9 !important;
}

.sideSearch .elementor-widget-woocommerce-product-title {
  display: block !important;
}

.homeMidGallery .e-gallery-item {
  opacity: 1;
  transition: opacity 1s ease-in-out;
}
.homeMidGallery .e-gallery-item.invisible {
  opacity: 0;
}

@keyframes rotateClockwise {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

 .rotateWords {
   animation: rotateClockwise 30s linear infinite;
 }

 .innerSearch input:focus-visible {
  outline: unset !important;
 }

/* Only Above Mobile */
@media (min-width: 991px) {
  .footerForm .elementor-field-type-submit {
    position: absolute;
    left: 0;
    top: 0;
    transform: translateX(100%);
    padding: unset !important;
  }

  .sideCartWrapper .sideCart a#elementor-menu-cart__toggle_button::after {
    content: 'סל קניות';
   font-size: 16px;
    font-weight: 400;
    color: black;
    font-family: 'Futurism';
  }
  .sideCartWrapper .sideCart a#elementor-menu-cart__toggle_button:hover::after {
    color: var(--e-global-color-2e1195f);
  }
  .sideCartWrapper .headAccount a.elementor-icon {
    display: flex !important;
    gap: 8px !important;
  }
  .sideCartWrapper .headAccount a.elementor-icon::after {
    content: 'התחברות';
   font-size: 16px;
    font-weight: 400;
    color: black;
    font-family: 'Futurism';
  }
   .headAccount a.elementor-icon:hover::after {
    color: var(--e-global-color-2e1195f);
  }
  
  }

/* Only On Mobile */
  @media (max-width: 786px) {

    .page-content,
.blog,
.single-product,
.single {
      padding-top: 125px;
    }
    .archive .clipHero {
      margin-top: 125px;
    }
        .woocommerce div.product form.cart {
        flex-wrap: wrap !important;
            align-items: stretch;
    gap: 6px;
    }

    .woocommerce div.product form.cart .variations tr {
        margin-left: unset;
        margin-bottom: 25px;
    }


.product_type_simple {
    margin-right: unset !important;
    font-size: 14px !important;
    padding: 9px !important;
    line-height: 1.3 !important;
}

.singleProductImages .flex-control-thumbs li {
  float:left !important;
}

.woocommerce div.product form.cart .variations tbody {
    flex-direction: column;
    gap: unset;
}


.single_variation_wrap::before {
    position: absolute;
    bottom: 0;
    right: 0;
    transform: translate(0%, 34px);
    font-size: 16px;
}

.single_variation_wrap::after {
      bottom: -54px;
}

.clipHero {

    clip-path: polygon(0 0, 100% 0, 100% 88%, 0 66%);
}
  }

/* JetSmartFilters - Hide + icon */
.jet-collapse-icon {
  display: none !important;
}

/* Keep children hidden initially */
.jet-list-tree__children.jet-list-content-collapsed {
  display: none;
}
